# $Id: maildrop.spec.in,v 1.20 2003/01/26 03:22:40 mrsam Exp $
#
# Copyright 1998 - 2003 Double Precision, Inc.  See COPYING for
# distribution information.

%define courier_release %(release="`rpm -q --queryformat='.%{VERSION}' redhat-release 2>/dev/null`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

%define __libtoolize /bin/true
%define configure CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;  ./configure --host=%{_host} --build=%{_build} --target=%{_target_platform} --program-prefix=%{?_program_prefix} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} --infodir=%{_infodir}
%define _missing_doc_files_terminate_build 1
%define _unpackaged_files_terminate_build 1

Summary: maildrop mail filter/mail delivery agent
Name: maildrop
Version: 2.0.2
Release: 1.art
License: GPL
Group: Applications/Mail
Source: http://www.flounder.net/~mrsam/maildrop/maildrop-%{version}.tar.bz2
Url: http://www.flounder.net/~mrsam/maildrop/
Packager: %{PACKAGER}
BuildRoot: /var/tmp/maildrop-build

%package devel
Summary: development tools for handling E-mail messages
Group: Applications/Mail

%package man
Summary: manual pages for maildrop
Group: Applications/Mail

%description

Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list:
http://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and userdb.

%description devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%description man
This package contains manual pages for maildrop and associated
utilities.
%prep
LANG=C
export LANG
%setup
%configure --with-devel --enable-userdb --enable-maildirquota --enable-syslog=1 --enable-trusted-users='root mail daemon postmaster qmaild mmdf' --enable-restrict-trusted=0 --enable-sendmail=/usr/sbin/sendmail

%build
LANG=C
export LANG
%{__make}

%install
LANG=C
export LANG
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%{__make} install-strip DESTDIR=$RPM_BUILD_ROOT MAILDROPUID='' MAILDROPGID=''

mkdir htmldoc
cp $RPM_BUILD_ROOT%{_datadir}/maildrop/html/* htmldoc
rm -rf $RPM_BUILD_ROOT%{_datadir}/maildrop/html
# fixes for courier-imap
rm -f $RPM_BUILD_ROOT/usr/bin/deliverquota
rm -f $RPM_BUILD_ROOT/usr/bin/maildirmake

%files
%defattr(-, root, root)
%{_datadir}/maildrop

%doc htmldoc/*

%attr(555, root, mail) %{_bindir}/maildrop
%attr(555, root, mail) %{_bindir}/lockmail
%{_bindir}/

%doc maildir/README.maildirquota.html maildir/README.maildirquota.txt
%doc COPYING README README.postfix INSTALL NEWS UPGRADE ChangeLog maildroptips.txt

%files devel
%defattr(-, root, root)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*

%files man
%defattr(-, root, root)
%{_mandir}/man[1578]/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 11 2006 Scott R. Shinn <scott@atomicrocketturtle.com>
- update to 2.0.2

* Sun Aug 28 2005 Scott R. Shinn <scott@atomicrocketturtle.com>
- fixes for courier-imap


* Sun May 22 2005 Scott R. Shinn <scott@atomicrocketturtle.com>
- update maildrop to 1.8.1
- fixed bin permissions settings (would be blocked by grsec)
